
Redmine - Feature #8134

Restrict edit issue possibilities per role

2011-04-12 18:10 - Stefaan Ellebaut

Status: Closed Start date: 2011-04-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Now you can only determine if they can edit issues or not. When they are allowed, they can also click the 'more' link in next to the

fieldset legend.  That gives them the opportunity to change the tracker/title/description of the issue. When I disable the 'edit issue'

rights, they cannot edit the status, priority or assignee anymore. I want my clients to be able to change the assignee, status and

priority but not title, description and tracker.

A nice feature to solve this problem, would be to refine the permissions of roles in to smaller parts (eg edit issue title, edit issue

priority etc.)

Anyone else with the same request?

Related issues:

Related to Redmine - Patch #7444: Patch for improved issue edit permissions Closed 2011-01-25

Is duplicate of Redmine - Feature #3521: Permissions for roles to change fiel... Closed 2009-06-22

History

#1 - 2011-06-23 17:23 - Глюк Красношахтинский

+1

#2 - 2012-06-20 11:13 - Alfred Costa

+1

It would be very useful to have more granularity to edit issue fields

#3 - 2012-07-15 18:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #3521 implemented for 2.1.0.
